import { BaseApiTemplateService } from "../shared/base-api-template-service.model";
import { HttpClient } from "@angular/common/http";
import { WmsPickingDiscrepancyContainer } from "../../../../../models/aggregates/warehouse/index";
import { ApiResponseModel } from '../shared/api-response.model';
import { Observable } from 'rxjs';
import { ApiVisa } from '../shared';
export declare class WmsPickingDiscrepancyService extends BaseApiTemplateService<WmsPickingDiscrepancyContainer> {
    constructor(http: HttpClient);
    getBySnapshotCriteria(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getCount(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    createMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteMulti(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    generateDiscrepancyReportListing(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
